Bug 89906 - ccmbuild upgrades should be smoother
ccmbuild upgrades should be smoother
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-29 12:44 EDT by Dennis Gregorovic
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 17:26:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gregorovic 2003-04-29 12:44:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
There are currently at least two ways in which ccmbuild upgrades could be made a
lot easier for the end user.

1) The ccm-config RPM can run ccm-configure-all.sh in the %post section.  This
would ensure that all build.xml files are built wit hthe latest template. 
Perhaps the original build.xml files could be backed up first.

2) The /etc/profile.d/*.sh scripts can get sourced in %post so that any changes
to these files are automatically picked up.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install ccm-config
2. upgrade
3.
    

Additional info:
Comment 1 Dennis Gregorovic 2003-05-20 01:49:56 EDT
I've discovered that sourcing scripts during the %post section of an RPM install
doesn't help as it happens in a subshell and any environment changes are lost.

Note You need to log in before you can comment on or make changes to this bug.